Request

Endpoint: !autoRevokeCS

https://secure.trust-provider.com/products/!autoRevokeCS

Use the POST method for this endpoint.

Submit parameters in the x-www-form-urlencoded format.

Request parameters

The following table lists the required and optional parameters.

Parameter Requirement Type Max.Length Description

loginName

required

string

64 chars

Your account username.

This value is case sensitive.

loginPassword

required

string

128 chars

Your account password.

This value is case sensitive.

accountID

optional

integer

The account ID of a reseller account.

orderNumber

required

integer

The order number for the CS order.

revocationReason

required

string

497 chars

A comment describing the reason for revocation. This information is used for your reference only. No action by Sectigo will be taken based on this information.

codeReason

required

integer

Specifies the code for the revocation reason.

The possible values are:

  • 0 — Unspecified

  • 1 — keyCompromise

  • 3 — affiliationChanged

  • 4 — Superseded

  • 5 — cessationOfOperation

If omitted, the value defaults to 0. For more information, see CPS.

test

optional

char

1 char

Indicates whether the revocation is a test operation.

The possible values are:

  • Y — The certificate will not actually be revoked or rejected.

  • N — The certification will be revoked.

If omitted, the value defaults to N.

includeInCRL

optional

char

1 char

Indicates whether the certificate’s serial number will be included in the Certificate Revocation List (CRL).

The possible values are:

  • Y — the certificate’s serial number will be included in the CRL.

  • N — the certificate’s serial number will not be included in the CRL.

If omitted, the value defaults to Y.

AutoRevokeCS can first be called with includeInCRL=N to mark the certificate as replaced.

If needed, it can be called again with includeInCRL=Y to update the certificate status to revoked and add the certificate to CRL.

Sample request

curl --location 'https://secure.trust-provider.com/products/!autoRevokeCS' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'loginName=login_name' \
--data-urlencode 'loginPassword=login_password' \
--data-urlencode 'orderNumber=order_number' \
--data-urlencode 'revocationReason=revocation_reason' \
--data-urlencode 'codeReason=1'

Response

The request is successful when the server returns a response with the status code 0.

Any errorCode less than 0 indicates an error condition.

The list of codes and their descriptions can be found in Error codes.

The response format is restricted to the newline-delimited parameters.

Sample success response

Success response with the code 0.

0

Sample error response

-4
The value of the `orderNumber` argument is invalid!

Error codes

The following table outlines error responses returned by the autoRevokeCS API endpoint. Each error response consists of an errorCode and an errorMessage indicating why the request failed.

Error Code Error Message Description

-1

Request was not made over HTTPS!

The request must use HTTPS protocol.

-2

'xxxx' is an unrecognized argument!

The provided argument is not recognized.

-3

The 'xxxx' argument is missing!

The required argument is missing from the request.

-4

The value of the 'xxxx' argument is invalid!

The argument value does not meet validation requirements.

-14

An unknown error occurred!

An unknown error occurred.

-16

Permission denied!

The user does not have permission for the requested context.

-17

Request used GET rather than POST!

The request method should be POST.

-20

The certificate request has already been Rejected!

The requested certificate is in a rejected state.

-21

The certificate has already been Revoked!

The requested certificate is in a revoked state.

-26

The certificate is currently being Issued!

The required certificate is in the process of being issued.

-34

The certificate has already been Replaced!

The required certificate has been replaced.

-35

The Certificate does not allow revocation after expiry!

The required certificate does not allow revocation after expiry.

-43

Certificate is not in a revocable state.

The required certificate is not in a state that allows it to be revoked.

-90

Permission denied for using “voucher” with 'xxxx'

The user does not have the permission to use the specified voucher.

-91

Permission denied for 'xxxx'

The user does not have the permission to perform the specified action.